Bug 215896 - security/vault: rework rc.d script
Summary: security/vault: rework rc.d script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-09 06:01 UTC by Pavel Timofeev
Modified: 2018-07-10 17:51 UTC (History)
3 users (show)

See Also:


Attachments
vault-rc patch (3.66 KB, patch)
2017-01-09 06:01 UTC, Pavel Timofeev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Timofeev 2017-01-09 06:01:49 UTC
Created attachment 178657 [details]
vault-rc patch

This patch changes only rc.d script:
- add additional "monitor" command which throws statistics to stdout. See https://www.vaultproject.io/docs/internals/telemetry.html
- add additional "vault_syslog_output_*" rc vars to redirect stdout to syslog
- add vault config to required files list
- rework rc script to make these changes easier to implement
- bump PORTREVISION to reflect package

I find these changes very useful. Please, review.
Comment 1 Pavel Timofeev 2017-01-09 10:02:02 UTC
Looks like this should be assigned to swills@, he is maintaining this port.
Comment 2 Pavel Timofeev 2017-01-09 14:45:11 UTC
Oh, I'm sorry. These daemon(8) functionality available only under FreeBSD-12 CURRENT =(
Comment 3 Dave Cottlehuber freebsd_committer 2017-08-29 07:05:02 UTC
timp87 the daemon(8) changes are now available in 11.1R too. You might want to
try to make these very handy changes in a way that fails gracefully on older
versions?
Comment 4 Pavel Timofeev 2017-10-30 08:01:21 UTC
To be honest, I'm waiting for 11.0 EOL =)
Comment 5 commit-hook freebsd_committer 2018-07-10 17:50:17 UTC
A commit references this bug:

Author: swills
Date: Tue Jul 10 17:49:56 UTC 2018
New revision: 474395
URL: https://svnweb.freebsd.org/changeset/ports/474395

Log:
  security/vault: improve rc.d script

  - Add additional "monitor" command which throws statistics to stdout.
    For details, see https://www.vaultproject.io/docs/internals/telemetry.html
  - Where possible, add additional "vault_syslog_output_*" rc vars to redirect stdout to syslog
  - Add vault config to required files list
  - Bump PORTREVISION to reflect package

  PR:		215896
  Submitted by:	Pavel Timofeev <timp87@gmail.com> (with modifications)

Changes:
  head/security/vault/Makefile
  head/security/vault/files/vault.in
Comment 6 Steve Wills freebsd_committer 2018-07-10 17:51:02 UTC
Committed, thanks!